## obs-scene-collection-manager 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
project(scene-collection-manager VERSION 0.0.4)
set(PROJECT_FULL_NAME "Scene Collection Manager")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

include_directories(${scene-collection-manager_BINARY_DIR})

find_package(Qt5Widgets)

set(CMAKE_AUTOMOC ON)

set(scene-collection-manager_HEADERS
	scene-collection-manager.hpp
	version.h)
set(scene-collection-manager_SOURCES
	scene-collection-manager.cpp)

if(WIN32)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(resource.rc.in scene-collection-manager.rc)
	list(APPEND scene-collection-manager_SOURCES
		scene-collection-manager.rc)
endif()

if(BUILD_OUT_OF_TREE)
    find_package(LibObs REQUIRED)
endif()

qt5_wrap_ui(scene-collection-manager_UI_HEADERS SceneCollectionManager.ui)

add_library(scene-collection-manager MODULE
	${scene-collection-manager_HEADERS}
	${scene-collection-manager_SOURCES}
	${scene-collection-manager_UI_HEADERS})

target_link_libraries(scene-collection-manager
		obs-frontend-api
		Qt5::Widgets
		libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/scene-collection-manager")
    endif()
    set_target_properties(scene-collection-manager PROPERTIES PREFIX "")
    install(TARGETS scene-collection-manager
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(scene-collection-manager PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(scene-collection-manager PROPERTIES FOLDER "plugins/exeldro")
    install_obs_plugin_with_data(scene-collection-manager data)
endif()

=== debian/changelog ===
obs-scene-collection-manager (0.0.4-2) unstable; urgency=medium

  * debian/copyright: updated upstream copyright years.
  * debian/install: removed. The upstream source code already installs the data
    file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 20:42:40 -0300

obs-scene-collection-manager (0.0.4-1) unstable; urgency=medium

  * New upstream version 0.0.4.
  * Upload to unstable.
  * Using BUILD_OUT_OF_TREE, provided by the upstream in last version (thanks).
    Consequently:
      - debian/patches/010_fix-cmake.patch: dropped.
      - debian/rules:
          ~ Added targets override_dh_auto_configure and
            execute_after_dh_install-arch.
          ~ Dropped target execute_before_dh_install.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Feb 2022 13:57:53 -0300

obs-scene-collection-manager (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1003034)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Jan 2022 21:19:10 -0300

=== debian/control ===
Source: obs-scene-collection-manager
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
Vcs-Git: https://salsa.debian.org/debian/obs-scene-collection-manager.git
Rules-Requires-Root: no

Package: obs-scene-collection-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 26)
Enhances: obs-studio
Description: plugin for OBS Studio to generate sets of scenes
 This plugin allows the user to generate several sets of scenes to use
 in different scenarios. To choose and use a set of scenes, just click
 over a name in a menu. Also is possible to filter, backup and restore
 scene collections.
 .
 The Scene Collection Manager will appear on the main menu and on the
 Tools menu when installed.
 .
 This plugin is compatible with OBS 26 or higher.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

## obs-scene-collection-manager 0.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18)
-project(scene-collection-manager VERSION 0.0.4)
+project(scene-collection-manager VERSION 0.0.6)
 set(PROJECT_FULL_NAME "Scene Collection Manager")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

=== debian/changelog ===
obs-scene-collection-manager (0.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Jul 2022 17:21:03 -0300

obs-scene-collection-manager (0.0.6-1) unstable; urgency=medium

  * New upstream version 0.0.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Jun 2022 09:37:57 -0300

=== debian/watch ===
version=4
https://github.com/exeldro/obs-scene-collection-manager/releases .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-scene-collection-manager 0.0.8

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(scene-collection-manager VERSION 0.0.8)
set(PROJECT_FULL_NAME "Scene Collection Manager")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "6E8A9828-CC0C-42BB-BD0F-848F4418EB9E")
set(MACOS_INSTALLER_UUID "24FDDDB9-1F76-4799-9E18-EE77FF01739C")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

target_sources(${PROJECT_NAME} PRIVATE
	scene-collection-manager.cpp
	scene-collection-manager.hpp
	version.h
	SceneCollectionManager.ui)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	find_package(obs-frontend-api REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
  else()
	  set(OBS_FRONTEND_API_NAME "frontend-api")
  endif()
  
  if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	
elseif(OS_MACOS)
	set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
	set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
	set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
	set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
	configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

# lines if you want add Qt UI in your plugin
find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)

target_link_libraries(${PROJECT_NAME}
		OBS::${OBS_FRONTEND_API_NAME}
		Qt::Widgets
		OBS::libobs)

if(BUILD_OUT_OF_TREE)
	if(NOT LIB_OUT_DIR)
		set(LIB_OUT_DIR "/lib/obs-plugins")
	endif()
	if(NOT DATA_OUT_DIR)
		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
	endif()
	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
	install(TARGETS ${PROJECT_NAME}
		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
	install(DIRECTORY data/locale
		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
	target_include_directories(${PROJECT_NAME} PRIVATE
		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
	set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-scene-collection-manager (0.0.8-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:38 +1100

obs-scene-collection-manager (0.0.8-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:06:01 +0000

obs-scene-collection-manager (0.0.8-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:33:18 -0300

obs-scene-collection-manager (0.0.8-3) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:38:06 -0300

obs-scene-collection-manager (0.0.8-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: created to update the pt_BR
    translation.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/upstream/metadata: added Screenshots field.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 22:58:49 -0300

obs-scene-collection-manager (0.0.8-1) unstable; urgency=medium

  * New upstream version 0.0.8.
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Bumped relationships from 26 to 28.0.1 for obs-studio and libobs.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/upstream/metadata: removed duplicate Donation field.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 12 Oct 2022 22:18:46 -0300

=== debian/control ===
Source: obs-scene-collection-manager
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
Vcs-Git: https://salsa.debian.org/debian/obs-scene-collection-manager.git
Rules-Requires-Root: no

Package: obs-scene-collection-manager
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio to generate sets of scenes
 This plugin allows the user to generate several sets of scenes to use
 in different scenarios. To choose and use a set of scenes, just click
 over a name in a menu. Also is possible to filter, backup and restore
 scene collections.
 .
 The Scene Collection Manager will appear on the main menu and on the
 Tools menu when installed.

## obs-scene-collection-manager 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(scene-collection-manager VERSION 0.0.8)
+project(scene-collection-manager VERSION 0.1.1)
 set(PROJECT_FULL_NAME "Scene Collection Manager")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -77,9 +77,14 @@
 		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
 	install(DIRECTORY data/locale
 		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
 else()
 	target_include_directories(${PROJECT_NAME} PRIVATE
 		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-	set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-scene-collection-manager (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: removed because the upstream applied
    this patch. Thanks!
  * debian/rules: removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 12 May 2024 20:14:12 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: obs-scene-collection-manager
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev (>= 28.0.1),
-               qtbase5-dev
+               qt6-base-dev
 Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager

## obs-scene-collection-manager 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(scene-collection-manager VERSION 0.1.1)
+project(scene-collection-manager VERSION 0.1.2)
 set(PROJECT_FULL_NAME "Scene Collection Manager")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -29,12 +29,18 @@
 	find_package(libobs REQUIRED)
 	find_package(obs-frontend-api REQUIRED)
 	include(cmake/ObsPluginHelpers.cmake)
+	find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
 	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
-  else()
-	  set(OBS_FRONTEND_API_NAME "frontend-api")
-  endif()
-  
-  if(OS_WINDOWS)
+else()
+	if(OBS_VERSION VERSION_GREATER_EQUAL 30.1.0)
+		find_package(Qt6 COMPONENTS Core Widgets)
+	else()
+		find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
+	endif()
+	set(OBS_FRONTEND_API_NAME "frontend-api")
+endif()
+
+if(OS_WINDOWS)
 	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
 	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
 	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
@@ -56,8 +62,6 @@
 	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
 endif()
 
-# lines if you want add Qt UI in your plugin
-find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
 set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)
 
 target_link_libraries(${PROJECT_NAME}

=== debian/changelog ===
obs-scene-collection-manager (0.1.2-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: added an override for blhc to avoid hardening warnings
    come from CMake compiler ABI checks (false positive).
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 23 Jan 2026 17:21:25 -0300

obs-scene-collection-manager (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Nov 2024 21:16:29 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: obs-scene-collection-manager
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev (>= 28.0.1),
                qt6-base-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/scene-collection-manager.1434/
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-collection-manager
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-collection-manager.git
-Rules-Requires-Root: no
 
 Package: obs-scene-collection-manager
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        exit 1; \
	    fi; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                             -DLINUX_PORTABLE=Off

execute_after_dh_auto_build:
	# blhc: CMake compiler ABI checks use test compilations that do not include
	#       all dpkg-buildflags (false positive). This is a test only.
	@echo 'blhc: ignore-line-regexp: .*/usr/bin/c\+\+.*CMakeCXXCompilerABI.cpp.*'

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-scene-collection-manager/tags .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

Source: https://obsproject.com/forum/resources/scene-collection-manager.1434
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/
Searchmode: plain
